Update Libcrafter v-0.3 : A high level library for C++ to generate and sniff network packets.

Update Libcrafter v-0.3 : A high level library for C++ to generate and sniff network packets.

Change v-0.3 26-06-2014:

  • Several minor fixes
  • improvements in the library performance and MAC OSX support.

Libcrafter is a high level library for C++ designed to make easier the creation and decoding of network packets. It is able to craft or decode packets of most common network protocols, send them on the wire, capture them and match requests and replies. It enables the creation of networking tools in a few lines with an interface very similar to Scapy. A packet is described as layers that you stack one upon the other. Fields of each layer have useful default values that you can overload.

The library is designed to be used in multithreaded programs where you can combine several tasks simultaneously. For example, you can easily design something that sniffs, mangles, and sends at the same time you are doing an ARP-Spoofing attack. It also contains a very naive implementation of the TCP/IP stack (fragmentation is no handled yet) at user level that enables working with TCP streams. This makes easier the creation of tools for data injection on arbitrary connections, IP spoofing and TCP/IP session hijacking.

 

Supported protocols are:

  • Ethernet, SLL (Linux cooked-mode capture), ARP, DHCP, DHCP options, IP,
  • IP options, IPv6, ICMP, ICMPv6, ICMP extensions, ICMPv6 extensions, TCP,
  • TCP options, UDP and DNS

Installation

The installation of the library in your system should be quite simple. First download the latest release of the library from here

Extract the source code:

$ tar xfvz crafter-0.3.tar.gz
$ cd crafter-0.3
Before configuring and compiling libcrafter you need lipcap installed in your system. On debian based distros, you should execute:

$ sudo apt-get install libpcap0.8 libpcap0.8-dev
Configure:

$ ./configure
Compile:

$ make
Install on your system:

$ sudo make install
$ sudo ldconfig
Finally, you can download some examples codes and test them:

wget http://libcrafter.googlecode.com/files/examples-0.2.tar.gz
If you want to use the cutting edge version (i.e. HEAD) of libcrafter you should you should have autoconf and libtool installed in your system :

$ sudo apt-get install autoconf libtool

You can Use this Tools for ARP Cache Poisoning
Or Download Tarball Here

Download Latest Version : Libcrafter-0.3.tar.gz (414 KB)  | Mirrorcrafter-0.3.tar
Read more In here : http://code.google.com/p/libcrafter/
Our Post Before : http://seclist.us/update-libcrafter-v-0-2.html